org.apache.olingo.commons.api.edm

## Interface EdmEntityContainer

- All Superinterfaces:
    EdmAnnotatable, EdmNamed

      public interface EdmEntityContainer
      extends EdmNamed, EdmAnnotatable

  A CSDL EntityContainer element.
  EdmEntityContainer hold the information of EntitySets, Singletons, ActionImports and FunctionImports contained

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmActionImport` | `getActionImport(String name)` Get contained ActionImport by name.
    `List<EdmActionImport>` | `getActionImports()` This method DOES NOT support lazy loading
    `EdmEntitySet` | `getEntitySet(String name)` Get contained EntitySet by name.
    `List<EdmEntitySet>` | `getEntitySets()` This method DOES NOT support lazy loading
    `List<EdmEntitySet>` | `getEntitySetsWithAnnotations()` This method DOES NOT support lazy loading
    `FullQualifiedName` | `getFullQualifiedName()`
    `EdmFunctionImport` | `getFunctionImport(String name)` Get contained FunctionImport by name.
    `List<EdmFunctionImport>` | `getFunctionImports()` This method DOES NOT support lazy loading
    `String` | `getNamespace()`
    `FullQualifiedName` | `getParentContainerName()`
    `EdmSingleton` | `getSingleton(String name)` Get contained Singleton by name.
    `List<EdmSingleton>` | `getSingletons()` This method DOES NOT support lazy loading

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getNamespace

          String getNamespace()

      Returns:
        namespace of this entity container

    - #### getFullQualifiedName

          FullQualifiedName getFullQualifiedName()

      Returns:
        full qualified name of this entity container

    - #### getSingleton

          EdmSingleton getSingleton(String name)

      Get contained Singleton by name.
      Parameters:
        `name` - name of contained Singleton
      Returns:
        `EdmSingleton`

    - #### getEntitySet

          EdmEntitySet getEntitySet(String name)

      Get contained EntitySet by name.
      Parameters:
        `name` - name of contained EntitySet
      Returns:
        `EdmEntitySet`

    - #### getActionImport

          EdmActionImport getActionImport(String name)

      Get contained ActionImport by name.
      Parameters:
        `name` - name of contained ActionImport
      Returns:
        `EdmActionImport`

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport(String name)

      Get contained FunctionImport by name.
      Parameters:
        `name` - name of contained FunctionImport
      Returns:
        `EdmFunctionImport`

    - #### getEntitySets

          List<EdmEntitySet> getEntitySets()

      This method DOES NOT support lazy loading
      Returns:
        returns all entity sets for this container.

    - #### getEntitySetsWithAnnotations

          List<EdmEntitySet> getEntitySetsWithAnnotations()

      This method DOES NOT support lazy loading
      Returns:
        returns all entity sets for this container with annotations defined in external file.

    - #### getFunctionImports

          List<EdmFunctionImport> getFunctionImports()

      This method DOES NOT support lazy loading
      Returns:
        returns all function imports for this container.

    - #### getSingletons

          List<EdmSingleton> getSingletons()

      This method DOES NOT support lazy loading
      Returns:
        returns all singletons for this container.

    - #### getActionImports

          List<EdmActionImport> getActionImports()

      This method DOES NOT support lazy loading
      Returns:
        returns all action imports for this container.

    - #### getParentContainerName

          FullQualifiedName getParentContainerName()

      Returns:
        the `FullQualifiedName` of the parentContainer or null if no parent is specified

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.